#ifndef _SETUP_VIEW_H
#define _SETUP_VIEW_H

#include <QWidget>
#include <QSpinBox>
#include <QPushButton>

#include "recorder_view.h"

class SetupView : public QWidget {
	Q_OBJECT

private:
	RecorderView *recorderView;
	
	QPushButton *fontButton;
	QSpinBox *margin;
	
private:
	void setFont(QFont font);

public:
	void getValues();
	void setValues();

public slots:
	void chooseFont();

public:
	SetupView(RecorderView *recorderView);
	~SetupView();
};

#endif
